# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Nov 27 17:12:01 2023
# ------------------------------------------------

package:
  name: yarl
  version: 1.9.3
source:
  sha256: 4a14907b597ec55740f63e52d7fee0e9ee09d5b9d57a4f399a7423268e457b57
  url: https://pypi.io/packages/source/y/yarl/yarl-1.9.3.tar.gz
build:
  number: '0'
  script: /croot/yarl_1701105127787/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pl/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py312h5eee18b_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - ld_impl_linux-64 2.38 h1181459_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-64 2.17 h57e8cba_10
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.08.22 h06a4308_0
    - cython 3.0.0 py312h5eee18b_0
    - expandvars 0.12.0 py312h06a4308_0
    - expat 2.5.0 h6a678d5_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.4 h6a678d5_0
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 3.0.12 h7f8727e_0
    - pip 23.3 py312h06a4308_0
    - python 3.12.0 h996f2a0_0
    - readline 8.2 h5eee18b_0
    - setuptools 68.0.0 py312h06a4308_0
    - sqlite 3.41.2 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.41.2 py312h06a4308_0
    - xz 5.4.2 h5eee18b_0
    - zlib 1.2.13 h5eee18b_0
  run:
    - idna >=2.0
    - libgcc-ng >=11.2.0
    - multidict >=4.0
    - python >=3.12,<3.13.0a0
test:
  commands:
    - pip check
    - py.test tests
  imports:
    - yarl
  requires:
    - pip
    - pytest
  source_files:
    - tests
about:
  dev_url: https://github.com/aio-libs/yarl
  doc_url: https://yarl.aio-libs.org
  home: https://github.com/aio-libs/yarl
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Yet another URL library
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 9ad5ce6e-549a-41a7-b0b6-5e18a9f98da4
  recipe-maintainers:
    - sodre
  remote_url: git@github.com:AnacondaRecipes/yarl-feedstock.git
  sha: 5063d8f2198d0318b1506d442f612bbc057638dd
